"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.default = void 0;

var logError = function logError(value) {
  console.error("Provided options are not an array - \"".concat(JSON.stringify(value), "\""));
};

var mapOptions = function mapOptions(list) {
  return list.map(function (item) {
    return typeof item === 'string' ? {
      label: item,
      value: item
    } : item;
  });
};

var _default = function _default(_ref) {
  var field = _ref.field;
  var options = field.get('options');

  if (!options) {
    logError(options);
    return [];
  }

  if (typeof options.toJS === 'function') {
    var value = options.toJS();
    if (Array.isArray(value)) return mapOptions(value);
    logError(value);
  }

  if (Array.isArray(options)) return mapOptions(options);
  logError(options);
  return [];
};

exports.default = _default;
//# sourceMappingURL=getOptions.js.map