"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.default = void 0;

var convertValue = function convertValue(value) {
  if (!value) return value;

  if (typeof value.toJS === 'function') {
    return value.toJS();
  }

  return value;
};

var _default = function _default(rawValue, _ref) {
  var field = _ref.field;
  var isMultiple = field.get('multiple') === true;
  var value = convertValue(rawValue);

  if (isMultiple) {
    if (value == null) return [];
    return Array.isArray(value) ? value : [value];
  }

  return value;
};

exports.default = _default;
//# sourceMappingURL=getValue.js.map